Package org.astrogrid.samp.gui

# Class Transmission.Status

java.lang.Object
org.astrogrid.samp.gui.Transmission.Status

Enclosing class:
  `Transmission`

public static class Transmission.Status extends Object
Describes the status of a transmission in terms that can be presented in the GUI.

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getIcon(int height)`
Returns a little icon representing status.
`String`
`getText()`
Returns the text for this status.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getText

public String getText()
Returns the text for this status.

Returns:
  short summmary

### getIcon

public Icon getIcon(int height)
Returns a little icon representing status.

Parameters:
  `height` - required height of icon
Returns:
  icon

### toString

public String toString()

Overrides:
  `toString` in class `Object`